Subject: Re: RFC: dsa: add support for multiple CPU ports

From: Mathieu Olivari <[email-masked]>
Date: Thu, 12 Mar 2015 18:57:10 -0700

On Thu, Mar 12, 2015 at 01:19:26AM +0100, Andrew Lunn wrote:
> > Agreed. The switches I'm talking about (QCA8xxx/AR8xxx) don't support
> > a mode which would allow them to use all the CPU ports as one logical
> > bonding interface.
> 
> I had a 60 second look at https://www.codeaurora.org/cgit/quic/qsdk/oss/lklm/qca-ssdk/
> 
> It looks like dess, isis, and isisc have some support for trunks, and
> the rest do not.
> 

Yes, they do. But not on the CPU port, unfortunately.

> > I know some of these switches don't even support tagging. So I'd be
> > surprised if they're all capable of bonding.
> 
> So we are going to end up with multiple solutions depending on what
> the hardware is capable of.
> 
> > I think DSA should probably support both. I think it should allow
> > bonding for switches who support it, but it should also allow for port
> > based vlan mapped by the user.
> 
> So the question is, how do you make the existing concepts in Linux
> support this, so configuration is how you expect it to be, without
> special cases, oddities, etc.
> 

I'll start by ignoring the second CPU port for now and see how far I go.

> 	Andrew